Bug 191062 - oowriter printing always fails
oowriter printing always fails
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-08 12:35 EDT by Neal Becker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-22 08:19:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2006-05-08 12:35:12 EDT
Description of problem:
Attempting to print to my usual cups printer always fails.  A dialog appears 
saying 
"Error while printing".  That's all it says.
Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Print to default printer
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Caolan McNamara 2006-05-09 10:42:29 EDT
And this only affects OOo, not anything else ?
Comment 2 Neal Becker 2006-05-09 10:45:40 EDT
Yes, I can/do print fine from many other apps.  All kde is fine, acrobat, etc.
Comment 3 Caolan McNamara 2006-05-09 10:58:44 EDT
Is selinux in operation, (output of /usr/sbin/getenforce) if on just toggling
off make any difference ?

If run from a terminal is there any output on the terminal ?

"x86_64", I wonder if there is something connected to that.
Comment 4 Neal Becker 2006-05-09 11:04:14 EDT
1. selinux is disabled

2. run from terminal
oowriter

(swriter.bin:4106): GnomePrintCupsPlugin-WARNING **: iconv does not support 
ppd character encoding: MacStandard, trying CSISOLatin1

===above were printed on terminal before I tried to print, below is after:

** (swriter.bin:4106): WARNING **: IPP request failed with status 1280
Unknown key
Unknown key
Comment 5 Caolan McNamara 2006-05-10 08:19:04 EDT
I'm able to print ok on a i386 fc5, so a bit stumped at the moment.

The "IPP ... failed" should also be seen if you start gedit in a terminal and go
to "file->print"

You mentioned KDE apps and acroread being ok, does gedit print ok ?
Comment 6 Neal Becker 2006-05-10 09:31:41 EDT
gedit prints fine, although on terminal it says:
GnomePrintCupsPlugin-Message: The ppd file for the CUPS printer exd26hp could 
not be loaded.
GnomePrintCupsPlugin-Message: The ppd file for the CUPS printer exd29hp could 
not be loaded.
Comment 7 Caolan McNamara 2006-05-25 03:43:05 EDT
How about with the recent 2.0.2-5.12.2 where we reverted the print dialog to the
default one again to work around some dbus issues, does that print properly ?
Comment 8 Caolan McNamara 2006-07-10 08:57:32 EDT
Does this persist, or did the above fix it ?

Note You need to log in before you can comment on or make changes to this bug.